API references
Search documentation... ⌘K
API references
Merchant API

List all current plans

Retrieve a list of all current plans available for the merchant. Plans represent different levels of service or pricing plans currently available. The selectable flag indicates if a plan can be subscribed to via self-service.

Endpoint signature
This endpoint requires an API key. Read our authentication guide for more information.
POST https://api.reservepay.com/merchants/list-plans HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>
{}
Returns: array
New to Reservepay? Read our guide on how to call endpoints to get started.
Response attributes
Attribute Description
id
string

The unique identifier of the plan.

tier_code
string

The code representing the tier this plan belongs to.

tier_name
string

The name of the tier (e.g., 'Basic', 'Pro').

features
array

List of features included in this plan.

revision_time
string

The date and time when the plan was last revised.

selectable
boolean

Indicates whether the plan can be selected by the merchant via self-service.

Errors common to all endpoints
UNHANDLED_ERROR

This error occurs when the server encounters an unexpected internal error that it cannot handle gracefully. This typically happens due to bugs, infrastructure issues, or edge cases that weren't anticipated during development.

INVALID_ARGUMENTS

This error occurs when the request contains invalid or missing parameters. Common cases include missing required fields, or values that don't match the expected format or type.

BAD_VERSION

This error occurs when making requests to an API version that does not exist. This commonly happens when using an outdated SDK or when the API version specified in the request URL is incorrect.

CODE SAMPLES
curl
Learn how to run these code samples in your terminal by reading our guide.